"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const curry_1 = require("@typed/curry");
const functions_1 = require("./functions");
exports.remove = curry_1.curry2(functions_1.remove);
exports.set = curry_1.curry3(functions_1.set);
exports.updateTree = curry_1.curry2(functions_1.updateTree);
exports.update = curry_1.curry3(functions_1.update);
exports.get = curry_1.curry2(functions_1.get);
exports.has = curry_1.curry2(functions_1.has);
exports.iterateFromKey = curry_1.curry3(functions_1.iterateFromKey);
exports.at = curry_1.curry2(functions_1.at);
exports.keyAt = curry_1.curry2(functions_1.keyAt);
exports.valueAt = curry_1.curry2(functions_1.valueAt);
exports.indexOf = curry_1.curry2(functions_1.indexOf);
exports.iterateFromIndex = curry_1.curry3(functions_1.iterateFromIndex);
exports.isEqual = curry_1.curry2(functions_1.isEqual);
exports.find = curry_1.curry3(functions_1.find);
exports.findKey = curry_1.curry3(functions_1.findKey);
exports.findValue = curry_1.curry3(functions_1.findValue);
exports.iterateFrom = curry_1.curry4(functions_1.iterateFrom);
exports.arrayFrom = curry_1.curry2(functions_1.arrayFrom);
exports.unwrap = curry_1.curry2(functions_1.unwrap);

//# sourceMappingURL=curried.js.map
