import { RedBlackTreeEntry } from './node';
import { PathNode } from './path';
export declare class RedBlackTreeIterator<K, V> implements IterableIterator<RedBlackTreeEntry<K, V>> {
    private _current;
    private _reversed;
    private _begun;
    constructor(_current: PathNode<K, V>, _reversed?: boolean);
    private _next(reverse);
    next(): IteratorResult<RedBlackTreeEntry<K, V>>;
    previous(): IteratorResult<RedBlackTreeEntry<K, V>>;
    [Symbol.iterator](): IterableIterator<RedBlackTreeEntry<K, V>>;
}
